ALSA project - the C library reference

Loading...
Searching...
No Matches
Data Fields
_snd_ump_msg_midi1_cc Struct Reference

`#include <ump_msg.h>`

## Data Fields
uint8_t | type:4
uint8_t | group:4
uint8_t | status:4
uint8_t | channel:4
uint8_t | index
uint8_t | data

## Detailed Description

MIDI 1.0 Control Change (32bit)

## Field Documentation

## ◆ channel

uint8_t _snd_ump_msg_midi1_cc::channel

Channel

## ◆ data

uint8_t _snd_ump_msg_midi1_cc::data

Control data (7bit)

## ◆ group

uint8_t _snd_ump_msg_midi1_cc::group

UMP Group

## ◆ index

uint8_t _snd_ump_msg_midi1_cc::index

Control index (7bit)

## ◆ status

uint8_t _snd_ump_msg_midi1_cc::status

Status

## ◆ type

uint8_t _snd_ump_msg_midi1_cc::type

UMP packet type

The documentation for this struct was generated from the following file:

- /packaging/alsa-lib/include/ump_msg.h